# Uses of Interface
org.opensaml.xmlsec.encryption.support.EncryptedKeyResolver

Packages that use EncryptedKeyResolver
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.config.impl
Configuration and initialization of security.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of EncryptedKeyResolver in org.opensaml.saml.saml2.encryption

Classes in org.opensaml.saml.saml2.encryption that implement EncryptedKeyResolver
Modifier and Type
Class
Description
`class`
`EncryptedElementTypeEncryptedKeyResolver`
An implementation of `EncryptedKeyResolver` which resolves `EncryptedKey` elements which appear as immediate children of the `EncryptedElementType` which is the parent of the `EncryptedData` context.
Constructors in org.opensaml.saml.saml2.encryption with parameters of type EncryptedKeyResolver
Modifier
Constructor
Description
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver)`
Constructor.
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver, Collection<String> includeAlgos, Collection<String> excludeAlgos)`
Constructor.

## Uses of EncryptedKeyResolver in org.opensaml.xmlsec

Fields in org.opensaml.xmlsec declared as EncryptedKeyResolver
Modifier and Type
Field
Description
`private EncryptedKeyResolver`
DecryptionParameters.`encryptedKeyResolver`
The EncryptedKey resolver.
Methods in org.opensaml.xmlsec that return EncryptedKeyResolver
Modifier and Type
Method
Description
`EncryptedKeyResolver`
DecryptionConfiguration.`getEncryptedKeyResolver()`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
`EncryptedKeyResolver`
DecryptionParameters.`getEncryptedKeyResolver()`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
Methods in org.opensaml.xmlsec with parameters of type EncryptedKeyResolver
Modifier and Type
Method
Description
`void`
DecryptionParameters.`setEncryptedKeyResolver(EncryptedKeyResolver resolver)`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.

## Uses of EncryptedKeyResolver in org.opensaml.xmlsec.config.impl

Methods in org.opensaml.xmlsec.config.impl that return EncryptedKeyResolver
Modifier and Type
Method
Description
`protected static EncryptedKeyResolver`
DefaultSecurityConfigurationBootstrap.`buildBasicEncryptedKeyResolver()`
Build a basic instance of `EncryptedKeyResolver`.

## Uses of EncryptedKeyResolver in org.opensaml.xmlsec.encryption.support

Classes in org.opensaml.xmlsec.encryption.support that implement EncryptedKeyResolver
Modifier and Type
Class
Description
`class`
`AbstractEncryptedKeyResolver`
Abstract class implementation for `EncryptedKeyResolver`.
`class`
`ChainingEncryptedKeyResolver`
An implementation of `EncryptedKeyResolver` which chains multiple other resolver implementations together, calling them in the order specified in the resolver list.
`class`
`InlineEncryptedKeyResolver`
Implementation of `EncryptedKeyResolver` which finds `EncryptedKey` elements within the `KeyInfo` of the `EncryptedData` context.
`class`
`SimpleKeyInfoReferenceEncryptedKeyResolver`
Implementation of `EncryptedKeyResolver` which finds `EncryptedKey` elements by dereferencing `KeyInfoReference` children of the `KeyInfo` of the `EncryptedData` context.
`class`
`SimpleRetrievalMethodEncryptedKeyResolver`
Implementation of `EncryptedKeyResolver` which finds `EncryptedKey` elements by dereferencing `RetrievalMethod` children of the `KeyInfo` of the `EncryptedData` context.
Fields in org.opensaml.xmlsec.encryption.support declared as EncryptedKeyResolver
Modifier and Type
Field
Description
`private EncryptedKeyResolver`
ChainingEncryptedKeyResolver.ChainingIterator.`currentResolver`
The current resolver which is returning encrypted keys.
`private EncryptedKeyResolver`
Decrypter.`encKeyResolver`
Resolver for EncryptedKey instances which contain the encrypted data encryption key.
Fields in org.opensaml.xmlsec.encryption.support with type parameters of type EncryptedKeyResolver
Modifier and Type
Field
Description
`private final Iterator<EncryptedKeyResolver>`
ChainingEncryptedKeyResolver.ChainingIterator.`resolverIterator`
The iterator over resolvers in the chain.
`private final List<EncryptedKeyResolver>`
ChainingEncryptedKeyResolver.`resolvers`
The list of resolvers which form the resolution chain.
Methods in org.opensaml.xmlsec.encryption.support that return types with arguments of type EncryptedKeyResolver
Modifier and Type
Method
Description
`List<EncryptedKeyResolver>`
ChainingEncryptedKeyResolver.`getResolverChain()`
Get the unmodifiable list of resolvers which form the resolution chain.
Constructors in org.opensaml.xmlsec.encryption.support with parameters of type EncryptedKeyResolver
Modifier
Constructor
Description
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver)`
Constructor.
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver, Collection<String> includeAlgos, Collection<String> excludeAlgos)`
Constructor.
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver, Set<String> newRecipients)`
Constructor.
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver, Set<String> newRecipients, Collection<String> includeAlgos, Collection<String> excludeAlgos)`
Constructor.
Constructor parameters in org.opensaml.xmlsec.encryption.support with type arguments of type EncryptedKeyResolver
Modifier
Constructor
Description
``
`ChainingEncryptedKeyResolver(List<EncryptedKeyResolver> encKeyResolvers)`
Constructor.
``
`ChainingEncryptedKeyResolver(List<EncryptedKeyResolver> encKeyResolvers, String recipient)`
Deprecated.
``
`ChainingEncryptedKeyResolver(List<EncryptedKeyResolver> encKeyResolvers, Set<String> recipients)`
Deprecated.

## Uses of EncryptedKeyResolver in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as EncryptedKeyResolver
Modifier and Type
Field
Description
`private EncryptedKeyResolver`
BasicDecryptionConfiguration.`encryptedKeyResolver`
The EncryptedKey resolver.
Methods in org.opensaml.xmlsec.impl that return EncryptedKeyResolver
Modifier and Type
Method
Description
`EncryptedKeyResolver`
BasicDecryptionConfiguration.`getEncryptedKeyResolver()`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
`protected EncryptedKeyResolver`
BasicDecryptionParametersResolver.`resolveEncryptedKeyResolver(CriteriaSet criteria)`
Resolve and return the effective `EncryptedKeyResolver`.
Methods in org.opensaml.xmlsec.impl with parameters of type EncryptedKeyResolver
Modifier and Type
Method
Description
`BasicDecryptionConfiguration`
BasicDecryptionConfiguration.`setEncryptedKeyResolver(EncryptedKeyResolver resolver)`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.